[script]
n0=alias yuzde return $+($chr(40),%,$left($calc($hget($1,v) * 100 / $hget($2,v)),4),$chr(41)) 
n1=alias yuzde2 return $+($chr(40),%,$calc($left(100.000000,4) - $remove($yuzde($1,$2),$chr(41),$chr(40),%)),$chr(41)) 
n2=alias yuzde3 return $+($chr(40),%,$left($calc($hget($1,$2) * 100 / $hget($3,v)),4),$chr(41)) 
n3=alias ll return $calc($hget($1,v)-$hget($2,v)) 
n4=alias kapsa return $+($chr(2),$1-,$chr(2)) 
n5=alias kontrol { if $count($nick($1,$2).pnick,@,~,%,&) != 0 { hadd -m nickler $2 1 | hsave -i nickler nickler.db | hinc -m giris $2 1 | hsave -i giris giris.db | hinc -m ygiris v 1 | hsave -i ygiris ygiris.db | write $+(helper/,$2,.,txt) $+(=>,$chr(40),$chr(2),$chr(31),Giriş,$chr(31),$chr(2),$chr(41),$chr(32),$chr(40),$chr(2),$date,$chr(2),$chr(41)) Gün: $gun($+($chr(2),$day,$chr(2))) - Saat: $+($chr(2),$time,$chr(2)) } } 
n6=alias gun { return $replace($1,Monday,Pazartesi,Tuesday,Salı,Wednesday,Çarşamba,Thursday,Perşembe,Friday,Cuma,Saturday,Cumartesi,Sunday,Pazar) }
n7=alias pp { var %& = $numtok($findfile($mircdir,*.db,1),92) | var %j = 1, %k = $findfile($mircdir,*.db,0) | while %j <= %k { if $gettok($findfile($mircdir,*.db,%j),%&,92) != nickler.db { echo -a $gettok($findfile($mircdir,*.db,%j),%&,92) } | inc %j } | hfree -w * | unset %trh | hsil }
n8=alias helperler { if $1 { var %1 = 1,%2 = $nick($1,0),%3 | while %1 <= %2 { if $nick($1,%1) != $me { %3 = $addtok(%3,$nick($1,%1),32) } | inc %1 } } msg $2 %3 }
n9=alias hsil { var %s = $numtok($findfile(helper,*.txt,1),92) | var %1 = 1,%2 = $findfile(helper,*.txt,0) | while %1 <= %2 { remove $gettok($findfile(helper,*.txt,%1),%s,92) | inc %1 } }
n10=alias sil { 
n11=  hdec voiceler v $hget(vc,$1) | hdec banlar v $hget(ban,$1) | hdec unbanlar v $hget(unban,$1) | hdec ytext v $hget(text,$1) 
n12=  hdec ygiris v $hget(giris,$1) | hdec ycıkıs v $hget(cıkıs,$1) | hdec devoiceler v $hget(devc,$1) 
n13=  hdel nickler $1 | hsave -i nickler nickler.db | hdel giris $1 | hsave -i giris giris.db | hdel cıkıs $1 | hsave -i cıkıs cıkıs.db | hdel vc $1 | hsave -i vc vc.db
n14=  hdel devc $1 | hsave -i devc devc.db | hdel ban $1 | hsave -i ban ban.db | hdel unban $1 | hsave -i unban unban.db | hdel text $1 | hsave -i text text.db
n15=}
n16=on *:start: { 
n17=  if !%trh { set %trh $date } 
n18=  if $isfile(nickler.db) { hmake nickler 100 | hload -i nickler nickler.db } | else { hmake nickler 100 | hsave -i nickler nickler.db }
n19=  if $isfile(giris.db) { hmake giris 100 | hload -i giris giris.db } | else { hmake giris 100 | hsave -i giris giris.db }
n20=  if $isfile(cıkıs.db) { hmake cıkıs 100 | hload -i cıkıs cıkıs.db } | else { hmake cıkıs 100 | hsave -i cıkıs cıkıs.db }
n21=  if $isfile(voiceler.db) { hmake voiceler 100 | hload -i voiceler voiceler.db } | else { hmake voiceler 100 | hsave -i voiceler voiceler.db }
n22=  if $isfile(devoiceler.db) { hmake devoiceler 100 | hload -i devoiceler devoiceler.db } | else { hmake devoiceler 100 | hsave -i devoiceler devoiceler.db }
n23=  if $isfile(vc.db) { hmake vc 100 | hload -i vc vc.db } | else { hmake vc 100 | hsave -i vc vc.db }
n24=  if $isfile(devc.db) { hmake devc 100 | hload -i devc devc.db } | else { hmake devc 100 | hsave -i devc devc.db }
n25=  if $isfile(banlar.db) { hmake banlar 100 | hload -i banlar banlar.db } | else { hmake banlar 100 | hsave -i banlar banlar.db }
n26=  if $isfile(ban.db) { hmake ban 100 | hload -i ban ban.db } | else { hmake ban 100 | hsave -i ban ban.db }
n27=  if $isfile(unbanlar.db) { hmake unbanlar 100 | hload -i unbanlar unbanlar.db } | else { hmake unbanlar 100 | hsave -i unbanlar unbanlar.db }
n28=  if $isfile(unban.db) { hmake unban 100 | hload -i unban unban.db } | else { hmake unban 100 | hsave -i unban ban.db }
n29=  if $isfile(text.db) { hmake text 100 | hload -i text text.db } | else { hmake text 100 | hsave -i text text.db }
n30=  if $isfile(normalg.db) { hmake normalg 100 | hload -i normalg normalg.db } | else { hmake normalg 100 | hsave -i normalg normalg.db }
n31=  if $isfile(normalc.db) { hmake normalc 100 | hload -i normalc normalc.db } | else { hmake normalc 100 | hsave -i normalc normalc.db }
n32=  if $isfile(ntext.db) { hmake ntext 100 | hload -i ntext ntext.db } | else { hmake ntext 100 | hsave -i ntext ntext.db }
n33=  if $isfile(ytext.db) { hmake ytext 100 | hload -i ytext ytext.db } | else { hmake ytext 100 | hsave -i ytext ytext.db }
n34=  if $isfile(ycıkıs.db) { hmake ycıkıs 100 | hload -i ycıkıs ycıkıs.db } | else { hmake ycıkıs 100 | hsave -i ycıkıs ycıkıs.db }
n35=  if $isfile(ygiris.db) { hmake ygiris 100 | hload -i ygiris ygiris.db } | else { hmake ygiris 100 | hsave -i ygiris ygiris.db }
n36=}
n37=on *:op:%help: { if !$hmatch(nickler,$opnick) { hadd -m nickler $opnick 1 | hsave -i nickler nickler.db } }
n38=on *:join:%help: { hinc -m normalg v 1 | hsave -i normalg normalg.db | .timer 1 1 kontrol # $nick } 
n39=on *:part:%help: { hinc -m normalc v 1 | hsave -i normalc normalc.db | if $hmatch(nickler,$nick) { hinc -m ycıkıs v 1 | hsave -i ycıkıs ycıkıs.db | hinc -m cıkıs $nick 1 | hsave -i cıkıs cıkıs.db | write $+(helper/,$nick,.,txt) $+(=>,$chr(40),$chr(2),$chr(31),Çıkış,$chr(31),$chr(2),$chr(41),$chr(32),$chr(40),$chr(2),$date,$chr(2),$chr(41)) Gün: $gun($+($chr(2),$day,$chr(2))) - Saat: $+($chr(2),$time,$chr(2)) } }
n40=on *:voice:%help: { if $hmatch(nickler,$nick) { hinc -m voiceler v 1 | hsave -i voiceler voiceler.db | hinc -m vc $nick 1 | hsave -i vc vc.db } }
n41=on *:devoice:%help: { if $hmatch(nickler,$nick) { hinc -m devoiceler v 1 | hsave -i devoiceler devoiceler.db | hinc -m devc $nick 1 | hsave -i devc devc.db } }
n42=on *:ban:%help: { if $hmatch(nickler,$nick) { hinc -m banlar v 1 | hsave -i banlar banlar.db | hinc -m ban $nick 1 | hsave -i ban ban.db } }
n43=on *:unban:%help: { if $hmatch(nickler,$nick) { hinc -m unbanlar v 1 | hsave -i unbanlar unbanlar.db | hinc -m unban $nick 1 | hsave -i unban unban.db } }
n44=on *:text:*:%help: { hinc -m ntext v 1 | hsave -i ntext ntext.db | if $hmatch(nickler,$nick) { hinc -m ytext v 1 | hsave -i ytext ytext.db | hinc -m text $nick 1 | hsave -i text text.db } }
n45=on *:join:%helpers: { if $nick == %hfounder { .msg $nick Merhaba Help Founder'im Hoş geldiniz helper kanalina. | .msg $nick Ayrıntılı bilgi için4 #helpsop kanali genelinde 4!komutlar yaziniz. | .msg $nick Hoş görevler dilerim. } } 
n46=on *:text:*:#helpsop,%bilgikanal,%helpers,#helpmaster: {
n47=  if ($nick == %helpfounder) || ($nick == Daemon) || $read(helpsop.txt,w,$nick) || $read(hfounder.txt,w,$nick) || $read(hmaster.txt,w,$nick) {
n48=    if ($regex($1,/((!|\.)durum)/i)) {
n49=      .msg # $+([,$chr(2),%trh,$chr(2),]) beri kayıt'da olan $+($chr(2),#help,$chr(2)) kanalı istatistik'leri sıralanıyor:
n50=      .msg # -
n51=      .msg # Toplam kullanıcı girişi istatistikleri: $+($chr(40),$iif($hget(normalg,v),$hget(normalg,v),0),$chr(41))
n52=      .msg # - Giriş bilgisi: $iif($hget(normalg,v),Yetkili girişi: $iif($hget(ygiris,v),$hget(ygiris,v),0) $yuzde(ygiris,normalg) - Yetkisiz girişi: $ll(normalg,ygiris) $yuzde2(ygiris,normalg),Toplam: 0 (%100))
n53=      .msg # Toplam kullanıcı çıkışı istatistikleri: $+($chr(40),$iif($hget(normalc,v),$hget(normalc,v),0),$chr(41))
n54=      .msg # - Çıkış bilgisi: $iif($hget(normalc,v),Yetkili çıkışı: $iif($hget(ycıkıs,v),$hget(ycıkıs,v),0) $yuzde(ycıkıs,normalc) - Yetkisiz çıkışı: $ll(normalc,ycıkıs) $yuzde2(ycıkıs,normalc), Toplam: 0 (%100))
n55=      .msg # Toplam verilen voice: $+($chr(40),$iif($hget(voiceler,v),$hget(voiceler,v),0),$chr(41))
n56=      .msg # Toplam alınan voice: $+($chr(40),$iif($hget(devoiceler,v),$hget(devoiceler,v),0),$chr(41))
n57=      .msg # Toplam atılan ban sayısı: $+($chr(40),$iif($hget(banlar,v),$hget(banlar,v),0),$chr(41))
n58=      .msg # Toplam açılan ban sayısı: $+($chr(40),$iif($hget(unbanlar,v),$hget(unbanlar,v),0),$chr(41))
n59=      .msg # Toplam yazılan satır sayısı: $+($chr(40),$iif($hget(ntext,v),$hget(ntext,v),0),$chr(41))
n60=      .msg # - Satır bilgisi: $iif($hget(ntext,v),Yetkili yazısı: $iif($hget(ytext,v),$hget(ytext,v),0) $yuzde(ytext,ntext) - Yetkisiz yazısı: $ll(ntext,ytext) $yuzde2(ytext,ntext),Toplam: 0 (%100))
n61=      .msg # -
n62=      .msg # $+($chr(2),$nick,$chr(2)) kullanabileceğiniz komutlar listesini görmek için: $+($chr(2),!komutlar,$chr(2)) yazınız.
n63=    }
n64=    if ($regex($1,/((!|\.)komutlar)/i)) {
n65=      .timer 1 3 msg # Komutlar bilgisi notice olarak atildi $nick
n66=      Notice $nick $+($chr(31),Genel komutlar,$chr(31),:)
n67=      Notice $nick -
n68=      Notice $nick !durum Yazarak ( Genel İstatistikleri Ögrenebilirsiniz )
n69=      Notice $nick -
n70=      Notice $nick !voicelist $kapsa(( $+ %help kanalında kayıt gününden beri verilen tüm voice'leri sıralar))
n71=      Notice $nick !devoicelist $kapsa(( $+ %help kanalında kayıt gününden beri alınan tüm voice'leri sıralar))
n72=      Notice $nick !banlist $kapsa(( $+ %help kanalında kayıt tarihinden beri atılan tüm banları sıralar))
n73=      Notice $nick !unbanlist $kapsa(( $+ %help kanalında kayıt tarihinden beri açılan tüm banları sıralar))
n74=      Notice $nick !Helperler $kapsa(( $+ %help kanalında takip listesinde olan tüm helper'ları sıralar))
n75=      Notice $nick !sıfırla tümü $kapsa(( $+ %help kanalı için varolan tüm kayıtları sıfır'lar))
n76=      Notice $nick -
n77=      Notice $nick $+($chr(31),Kişisel komutlar,$chr(31),:)
n78=      Notice $nick -
n79=      Notice $nick !ekle helper-nick $kapsa((Takip listesine helper eklemek için kullanılır))
n80=      Notice $nick !sil helper-nick $kapsa((Takip listesinde ekli olan bir helper'i siler))
n81=      Notice $nick !istatistik helper-nick $kapsa((Takip listesinde kayıtlı olan helper hakkında ayrıntılı bilgiler verir))
n82=      Notice $nick !takip helper-nick $kapsa((Takip listesinde kayıtlı olan helper'in, hangi tarihlerde giriş/çıkış yaptığını gösterir))
n83=      Notice $nick !tsil helper-nick $kapsa((Takip listesinde kayıtlı olan helper'in, giriş/çıkış tarihlerini sıfır'lar))
n84=      Notice $nick !tlist $kapsa((Takip Listesinde bulunan Helperler Listelenir.))
n85=      Notice $nick -
n86=      Notice $nick $+($chr(31),Access list komutlari,$chr(31),:)
n87=      Notice $nick -
n88=      Notice $nick !Ogrenci Nick (Stajyer Helper eklemek icin kullanilir. %helpegitim kanali icin.)
n89=      Notice $nick !Helperaday Nick (Helper Adayi % eklemek icin kullanilir.)
n90=      Notice $nick !Helper Nick (Helper @ eklemek icin kullanilir.)
n91=      Notice $nick !KıdemliHelper Nick (Kidemli Helper @ eklemek icin kullanilir.)
n92=      Notice $nick !HelpAsistan Nick (Help Asistan eklemek icin kullanilir.)
n93=      Notice $nick !Helpsop Nick (HelpSop eklemek icin kullanilir. Ekledikten sonra Helpfounder %hfounder nickine onaylatmalısınız. )
n94=      Notice $nick !Helpmaster Nick (HelpMaster eklemek icin kullanilir.)
n95=      Notice $nick !Helpersil Nick (Bir kisinin yetkisini siler.)
n96=      Notice $nick !Hlog (Access gecmisi hakkinda bilgi verir.)
n97=      Notice $nick -
n98=      Notice $nick *** $+($chr(31),Ekstra Komutlar,$chr(31),:)
n99=      Notice $nick -
n100=      Notice $nick Idle ve whois kontrolü: !kontrol
n101=      Notice $nick Nick infosu kontrolü : !info Nick
n102=      Notice $nick IP e ait x:line ve shunları acar : !banac IP (Sunucu operlerine bilgi verilir.)
n103=      Notice $nick Bir kanal ile ilgili bilgi almak için : !bilgi #kanal
n104=      Notice $nick Botu bir kanala sokmak icin : .join #kanal
n105=      Notice $nick Botu bir kanaldan cikarmak icin : .part #kanal
n106=      Notice $nick Bota restart atmak icin : .restarthelp
n107=      Notice $nick HelpEgitim Botuna restart atmak icin : !restartoyun
n108=      Notice $nick Egitim Botuna restart atmak icin : !restartegitim
n109=      Notice $nick Helperlerin Toplam Online Durumları : !olist
n110=      Notice $nick Helper aliasları icin : !f
n111=      Notice $nick Sunucu geneline global atmak icin : !global Mesajiniz
n112=      Notice $nick Helper kuralları icin : !helperkural
n113=      Notice $nick Haber eklemek için : !haberekle Haberiniz
n114=      Notice $nick Haber silmek için : !habersil HaberNumarası
n115=      Notice $nick Haberleri okumak için : !haberler
n116=      Notice $nick Helpegitim botunu başlatmak için : !start
n117=      Notice $nick Helpegitim botunu durdurmak için : !stop
n118=      Notice $nick Allsend reklam komutları için : !reklamlar
n119=      Notice $nick -
n120=      Notice $nick *** $+($chr(31),Sadece %hfounder ve %manager kullanımına acıktır.,$chr(31),:)
n121=      Notice $nick -
n122=      Notice $nick HelpSop'u onaylamak icin : .helpsop ekle nick
n123=      Notice $nick Help takip listesine eklemek icin : !ekle nick
n124=      Notice $nick HelpSop onayını kaldırmak icin : .helpsop sil nick
n125=      Notice $nick Onaylanmıs HelpSop 'lar listesi icin : .helpsop list
n126=      Notice $nick HelpMaster'ı onaylamak icin : .helpmaster ekle nick
n127=      Notice $nick HelpMaster onayını kaldırmak icin : .helpmaster sil nick
n128=      Notice $nick Onaylanmıs HelpMaster 'lar listesi icin : .helpmaster list
n129=      Notice $nick - 
n130=      Notice $nick *** $+($chr(31),Sadece %hfounder kullanımına acıktır.,$chr(31),:)
n131=      Notice $nick -
n132=      Notice $nick Haftanın helperi eklemek için : .hhelper-ekle Nick ( #helpsop kanalında uygulanacaktır.)
n133=      Notice $nick Haftanın helperi silmek için : .hhelper-sil Nick ( #helpsop kanalında uygulanacaktır.)
n134=      Notice $nick Ayın helperi eklemek için : .ahelper-ekle Nick ( #helpsop kanalında uygulanacaktır.)
n135=      Notice $nick Ayın helperi silmek için : .ahelper-sil Nick ( #helpsop kanalında uygulanacaktır.)
n136=      Notice $nick HelpManager eklemek için : .helpmanager Nick
n137=      Notice $nick -
n138=      Notice $nick 4NOT : Bot kullanilmadan yetki ekleme ve silimi yapilamaz bu access list komutlarini kullanmak ZORUNDASINIZ.
n139=      Notice $nick -
n140=      Notice $nick Tüm komutlar siralandi.
n141=    }
n142=    if ($regex($1,/((!|\.)helperler)/i)) {
n143=      if $hget(nickler,0).item < 1 { .msg # Kayıtlı helper mevcut değil. Helper eklemek için; $kapsa(!ekle helper-nick) yazınız. | halt }
n144=      else { .msg # Kayıtlı olan toplam; $kapsa($hget(nickler,0).item) helper sıralanıyor. | var %& = 1,%&& = $hget(nickler,0).item | while %& <= %&& { .msg # $+(%&,$chr(45)) $kapsa($hget(nickler,%&).item) | inc %& } 
n145=      }
n146=      .msg # Kayıtlar sıralandı.
n147=      .msg # Herhangi bir helper hakkında detaylı bilgi almak için; $kapsa(!istatistik helper-nick) yazınız.
n148=    }
n149=    if ($regex($1,/((!|\.)voicelist)/i)) {
n150=      if $hget(voiceler,v) < 1 { .msg # $kapsa(#Help) kanalı için voice kaydı yok.(Voice verilmemiş) | halt }
n151=      else { 
n152=        .msg # %help kanalın'da $kapsa(%trh) itibaren verilen toplam voice sayısı: $kapsa($hget(voiceler,v))
n153=        .msg # %help kanalın'da yetkili olan $kapsa($+($chr(40),$hget(nickler,0).item,$chr(41))) helper'in voice verme istastiği(Sadece voice veren'ler sıralanır):
n154=        var %1 = 1,%2 = $hget(vc,0).item | while %1 <= %2 { .msg # Helper: $kapsa($hget(vc,%1).item) - Verdiği voice sayısı: $kapsa($iif($hget(vc,%1).data,$hget(vc,%1).data $yuzde3(vc,$hget(vc,%1).item,voiceler),0)) | inc %1 }
n155=      }
n156=      .msg # -
n157=      .msg # Voice kayıtları sıralandı.
n158=    }
n159=    if ($regex($1,/((!|\.)devoicelist)/i)) {
n160=      if $hget(devoiceler,v) < 1 { .msg # $kapsa(#Help) kanalı için devoice kaydı yok.(Devoice işlevi yapılmamış) | halt }
n161=      else { 
n162=        .msg # %help kanalın'da $kapsa(%trh) itibaren uygulanan toplam devoice sayısı: $kapsa($hget(devoiceler,v))
n163=        .msg # %help Help kanalın'da yetkili olan $kapsa($+($chr(40),$hget(nickler,0).item,$chr(41))) helper'in devoice uygulama istastiği:(Sadece devoice veren'ler sıralanır)
n164=        var %a = 1,%b = $hget(devc,0).item | while %a <= %b { .msg # Helper: $kapsa($hget(devc,%a).item) - Uyguladığı devoice sayısı: $kapsa($iif($hget(devc,%a).data,$hget(devc,%a).data $yuzde3(devc,$hget(devc,%a).item,devoiceler),0)) | inc %a }
n165=      }
n166=      .msg # -
n167=      .msg # Devoice kayıtları sıralandı.
n168=    }
n169=    if ($regex($1,/((!|\.)banlist)/i)) {
n170=      if $hget(banlar,v) < 1 { .msg # $kapsa(#Help) kanalı için ban kaydı bulunamadı.(Atılan ban yok) | halt }
n171=      else { 
n172=        .msg # %help kanalın'da $kapsa(%trh) itibaren atılan toplam ban sayısı: $kapsa($hget(banlar,v))
n173=        .msg # %help kanalın'da yetkili olan $kapsa($+($chr(40),$hget(nickler,0).item,$chr(41))) helper'in ban uygulama istastiği:(Sadece ban atanlar sıralanır)
n174=        var %x = 1,%y = $hget(ban,0).item | while %x <= %y { .msg # Helper: $kapsa($hget(ban,%x).item) - Attığı ban sayısı: $kapsa($iif($hget(ban,%x).data,$hget(ban,%x).data $yuzde3(ban,$hget(ban,%x).item,banlar),0)) | inc %x }
n175=      }
n176=      .msg # -
n177=      .msg # Ban kayıtları sıralandı.
n178=    }
n179=    if ($regex($1,/((!|\.)unbanlist)/i)) {
n180=      if $hget(unbanlar,v) < 1 { .msg # $kapsa(#Help) kanalı için unban kaydı bulunamadı.(Açılan ban yok) | halt }
n181=      else { 
n182=        .msg # %help kanalın'da $kapsa(%trh) itibaren açılan toplam ban sayısı: $kapsa($hget(unbanlar,v))
n183=        .msg # %help kanalın'da yetkili olan $kapsa($+($chr(40),$hget(nickler,0).item,$chr(41))) helper'in ban açma istastiği:(Sadece ban açanlar sıralanır)
n184=        var %s = 1,%k = $hget(unban,0).item | while %s <= %k { .msg # Helper: $kapsa($hget(unban,%s).item) - Açtığı ban sayısı: $kapsa($iif($hget(unban,%s).data,$hget(ban,%s).data $yuzde3(unban,$hget(unban,%s).item,unbanlar),0)) | inc %s }
n185=      }
n186=      .msg # -
n187=      .msg # Unban kayıtları sıralandı.
n188=    }
n189=    if ($regex($1,/((!|\.)sıfırla)/i)) {
n190=      if !$2 { .msg # Yanlış kullanım. Kullanım şekli: $kapsa(!sıfırla tümü) (Tüm verileri sıfırlar)  | halt }
n191=      if  $2 == tümü {
n192=        .msg # Bu işlev eklenen helper'ler hariç tüm kayıtları silecektir.
n193=        .msg # $kapsa(#Help) kanalı için tüm kayıtlar sıfırlansın'mı?
n194=        .msg # Onaylamak için: $kapsa(!Evet) - Vazgeçmek için: $kapsa(!Hayır) yazınız.
n195=      }
n196=    }
n197=    if $1 == !Evet { 
n198=      .msg # Tüm veriler sıfırlan'dı.
n199=      .msg # Tüm online süreleri sıfırlanıp yeniden başlatılmıştır. #Help kanalında bulunanları tekrar çıkıp girmesi gerekmektedir.
n200=      pp 
n201=      set %trh $date - $time
n202=      msg $chan 1Tüm helperların online süre bilgileri sıfırlandı!
n203=      unset %-*
n204=      unset %online-date-*
n205=      remove hlist.txt 
n206=    }
n207=    if $1 == !Hayır { .msg # Tüm verileri sıfırlama işlevi durduruldu. | return $false }
n208=    if ($regex($1,/((!|\.)istatistik)/i)) {
n209=      if !$2 { .msg # Herhangi bir nick girilmedi. Kullanım şekli: $kapsa(!istatistik helper-nick) | halt }
n210=      if !$hmatch(nickler,$2) { .msg # $kapsa($2) isminde helper kayıtlı değil. | halt }
n211=      else { 
n212=        .msg # $kapsa($2) helper'inin $kapsa(%trh) beri kayıt edilen istatistik'leri sıralanıyor:
n213=        .msg # -
n214=        .msg # %help kanalına toplam: $kapsa($+($chr(40),$iif($hget(giris,$2),$hget(giris,$2),0),$chr(41))) giriş yaptı.
n215=        .msg # %help kanalın'dan toplam: $kapsa($+($chr(40),$iif($hget(cıkıs,$2),$hget(cıkıs,$2),0),$chr(41))) çıkış yaptı.
n216=        .msg # Not: $kapsa($2) helper'inin hangi tarihlerde giriş/çıkış yaptığını öğrenmek için: $kapsa(!Takip $2) yazınız.
n217=        .msg # Verdiği voice sayısı: $kapsa($iif($hget(vc,$2),$hget(vc,$2) $yuzde3(vc,$2,voiceler),0))
n218=        .msg # Aldığı voice sayısı: $kapsa($iif($hget(devc,$2),$hget(devc,$2) $yuzde3(devc,$2,devoiceler),0))
n219=        .msg # Attığı ban sayısı: $kapsa($iif($hget(ban,$2),$hget(ban,$2) $yuzde3(ban,$2,banlar),0))
n220=        .msg # Açtığı ban sayısı: $kapsa($iif($hget(unban,$2),$hget(unban,$2) $yuzde3(unban,$2,unbanlar),0))
n221=        .msg # %help kanalın'da yazdığı satır miktarı: $kapsa($iif($hget(text,$2),$hget(text,$2) $yuzde3(text,$2,ntext),0))
n222=        .msg # - 
n223=        .msg # Bilgi: $kapsa($2) helper'inin tüm istatistikleri sıralandı.
n224=      }
n225=    }
n226=    if ($regex($1,/((!|\.)takip)/i)) {
n227=      if !$2 { .msg # Yanlış kullanım. Kullanım şekli: $kapsa(!Takip helper-nick) | halt }
n228=      if !$hmatch(nickler,$2) { .msg # $kapsa($2) helper listesinde mevcut değil. | halt }
n229=      else { 
n230=        .msg # $kapsa($2) helper'inin $kapsa(%trh) beri, $kapsa(#help) kanalına giriş/çıkış bilgileri sıralanıyor.
n231=        var %1 = 1,%2 = $lines($+(helper/,$2,.,txt)) | while %1 <= %2 { .msg # $read($+(helper/,$2,.,txt),%1) | inc %1 } 
n232=        .msg # Bu kayıtları silmek için; $kapsa(!tsil $2) yazınız.
n233=      }
n234=    }
n235=    if ($regex($1,/((!|\.)tsil)/i)) {
n236=      if !$2 { .msg # Yanlış kullanım. Kullanım şekli: $kapsa(!Tsil helper-nick) | halt }
n237=      if !$hmatch(nickler,$2) { .msg # $kapsa($2) helper listesinde kayıtlı değil. | halt }
n238=      if !$isfile($+(helper/,$2,.,txt)) { .msg # $kapsa($2) için giriş/çıkış kaydı yok. | halt }
n239=      else { remove $+(helper/,$2,.,txt)) | .msg # $kapsa($2) helper'i için, giriş/çıkış tarihleri sıfırlandı. }
n240=    }
n241=    if ($regex($1,/((!|\.)ekle)/i)) {
n242=      if !$2 { .msg # Yanlış kullanım. Kullanım şekli: $kapsa(!Ekle yeni-helper-nick) | halt }
n243=      if $hmatch(nickler,$2) { .msg # $kapsa($2) helper listesinde zaten mevcut. | halt }
n244=      else { hadd -m nickler $2 | hsave -i nickler nickler.db | .msg # $kapsa($2) helper listesine eklendi. } 
n245=    }
n246=    if ($regex($1,/((!|\.)sil)/i)) {
n247=      if !$2 { .msg # Yanlış kullanım. Kullanım şekli: $kapsa(!sil helper-nick) | halt }
n248=      if !$hmatch(nickler,$2) { .msg # $kapsa($2) helper listesinde zaten mevcut değil. | halt }
n249=      else { sil $2 | .msg # $kapsa($2) helper listesinden tüm kayıtları ile beraber silindi. }
n250=    }
n251=    if ($regex($1,/((!|\.)tlist)/i)) {
n252=      if $hget(nickler,0).item < 1 { .msg # Takip listesinde kayıtlı helper yok. | halt }
n253=      else { .msg # Takip listesine kayıtlı olan toplam; 1[ $kapsa($hget(nickler,0).item) 1] adet helper sıralanıyor; | var %& = 1,%&& = $hget(nickler,0).item | while %& <= %&& { .msg # $+(%&,$chr(45)) $kapsa($hget(nickler,%&).item) | inc %& } 
n254=      }
n255=      .msg # 1Takip listesindeki helper kayıtları sıralandı.
n256=    }
n257=    if $1 == !gir { .sajoin $nick $2 | .msg # $2 kanalina alindiniz $nick $+ . }
n258=  }
n259=}
